### Method

# Ide Highlighter update

#### Declaration

    void
    ide_highlighter_update (
      IdeHighlighter* self,
      IdeHighlightCallback callback,
      const GtkTextIter* range_begin,
      const GtkTextIter* range_end,
      GtkTextIter* location
    )

#### Description

Incrementally processes more of the buffer for highlighting. If `callback` returns `IDE_HIGHLIGHT_STOP`, then this vfunc should stop processing and return, having set `location` to the current position of processing.

If processing the entire range was successful, then `location` should be set to `range_end`.

Available since: | 3.32

#### Parameters

`callback` | `IdeHighlightCallback`
| A callback to apply a given style.
`range_begin` | `GtkTextIter`
| The beginning of the range to update.
| The data is owned by the caller of the function.
`range_end` | `GtkTextIter`
| The end of the range to update.
| The data is owned by the caller of the function.
`location` | `GtkTextIter`
| How far the highlighter got in the update.
| The argument will be set by the function.
| The data is owned by the caller of the function.